close all; clear; clc;

global min_pitch_set; 
global max_pitch_set;
global maxpkn; 
global perform_fol; 
global stimulicomb;

% you can adjust the following five variables.
min_pitch_set = 50; %default min pitch is 50 Hz
max_pitch_set = 400; %default max pitch is 400 Hz
maxpkn = 3; %initially assume that there will be 3 VCV instances
perform_fol = '.\VKIN06anticonservative\'; %default performance folder is stored with code
stimulicomb = 0; %if /afa/, /ifi/, and /ufu/ are recorded separately and we want to save all RFFs from
    %these recordings into one file under the speaker's name, then set
    %stimulicomb to 1, else set stimulicomb to 0.

%foldname = folder location of audio files
folname = '\\sar-netapp2\SteppLab2\SPEECHDATA\RFF\Rff-Kinematics\VKIN06\VKIN06_Waveforms\';
%reads in all wave files
allfiles = dir([folname '*.wav']);
%allfiles = allfiles(25:29);

%find the location of fricatives
for filei = 1:length(allfiles)
    filename = allfiles(filei).name;
    find_fric(folname, filename);
end

%find cycles used to RFF estimation and estimate RFF from them
for filei = 1:length(allfiles)
    filename = allfiles(filei).name;
    find_RFFcycles(folname, filename);
end

%final RFF check. Save into Excel file.
RFFoutput(allfiles)

%reject code
%not rejected:0
%preprocess reject-few periodic cycles:1 
%voicing cycles close to voiceless consonants are irregular and noisy: 2
%glottalized: 3
%aperiodic: 4
%deflections: 5
%sharp transition: 6

